
## 服务组件介绍

| 服务名称 | docker 镜像名称  | 服务描述       |
|------|-------------|------------|
| 前端服务 | know-sub-nginx:1.0.0 | 提供前端服务     |
| 后端服务 | know-sub-web:1.0.0 | 提供展示报送后端服务 |
| 数据库 | mysql:5.7 | 提供数据库服务 |

### 安装包结构说明
| 文件/文件夹 | 说明            |
| - |---------------|
| know-sub-nginx/ | 存放nginx静态文件 |
| know-sub-web/ | 存放后端服务程序    |
| mysql | 数据库持久化数据 |
| know_sub_init.sql | 初始化数据库脚本 |
| .env | 应用的环境配置       |
| docker-compose.yml | docker-compose 配置文件 |
| images-all-one.tar.gz | 镜像文件 |

## 快速启动

### 要求
- CPU >= 8 核
- RAM >= 16 GB
- Disk >= 500 GB
- Docker >= 24.0.6 & Docker Compose >= v2.27.0

### 步骤
1. 下载安装包，解压到~/install/know-sub/docker-compose目录
2. 进入~/install/know-sub/docker-compose目录，执行加载镜像命令：
```bash
docker load -i images-all-one.tar.gz
```
3. 执行如下命令启动服务
```bash
docker-compose up -d
```

4. 查看启动的服务状态(由于第一次启动mysql需要执行初始化脚本，需要等待一段时间，know-sub-web 才能连接到数据库)
```bash
docker-compose ps
NAME             IMAGE                  COMMAND                   SERVICE          CREATED          STATUS                    PORTS
know-sub-mysql   mysql:5.7              "docker-entrypoint.s…"   mysql            12 seconds ago   Up 11 seconds (healthy)   33060/tcp, 0.0.0.0:42415->3306/tcp
know-sub-nginx   know-sub-nginx:1.0.0   "/docker-entrypoint.…"   know-sub-nginx   12 seconds ago   Up 11 seconds             443/tcp, 0.0.0.0:1180->80/tcp
know-sub-web     know-sub-web:1.0.0     "java -Xms256m -Xmx1…"   know-sub-web     12 seconds ago   Up 11 seconds             0.0.0.0:9201->9201/tcp
```

5. 访问地址
http://ip:1180/#/login  用户名admin 密码: qgYXFnT1

